API documentation | API docs for agents | OpenAPI 3.1
PATCH /api/v1/loads/{loadId}/tracking
ark.update_tracking
Updates timing, notification, notes, driver, equipment, or reefer settings on an active load tracking session.
- Availability
- Expanded preview
- Scopes
loads:dispatch- ARK permissions
canAssignLoads- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
providerstringone of: macropoint, truckertools, internal
trackingIdstringmax length: 200
trackStartDateTimestringmax length: 100
trackDurationHoursnumbermin: 1; max: 720
trackIntervalMinutesintegermin: 5; max: 1440
emailCopiesTostring | nullmax length: 1000
notesstring | nullmax length: 5000
minTempnumber | nullmaxTempnumber | nulltempUoMstringone of: fahrenheit, celsius
Example request
Shell
curl -X PATCH 'https://arktms.com/api/v1/loads/<loadId>/tracking' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{}'Success response
Updated tracking
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.loadIdstringrequiredformat: uuid
data.loadobjectrequireddata.providerstring | nullrequiredone of: macropoint, truckertools, internal, null
data.trackingIdstring | nullrequireddata.successbooleanrequireddata.messagestringrequireddata.resultobject | nullrequireddata.statusobjectrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry